Bug 223988 - devel/qt4-dbus: mark broken on aarch64
Summary: devel/qt4-dbus: mark broken on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL: https://reviews.freebsd.org/D13935
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-30 09:23 UTC by Mark Linimon
Modified: 2018-01-19 23:35 UTC (History)
1 user (show)

See Also:
rakuco: maintainer-feedback+


Attachments
patch to mark port broken (436 bytes, patch)
2017-11-30 09:23 UTC, Mark Linimon
no flags Details | Diff
Patch out constness (554 bytes, patch)
2018-01-02 11:40 UTC, Adriaan de Groot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2017-11-30 09:23:07 UTC
Created attachment 188420 [details]
patch to mark port broken

This port still fails to build on aarch64 as of 2017-02-18 19:48:05Z.
Comment 1 Adriaan de Groot freebsd_committer 2018-01-02 11:40:53 UTC
Created attachment 189334 [details]
Patch out constness

Probably the port should be marked broken on aarch64 -- there does not seem to be any native atomic operations for the architecture (there is armv7, but forcing that implementation of atomics yields lots of inline-assembly errors). The qglobal.h on aarch64 #defines Q_ARCH_GENERIC, so it's not being detected properly elsewhere.

Since Qt4 was end-of-lifed around 2012, with extended-extended-enterprise support lasting through 2015, I can imagine there was not much 64-bit ARM support back then.

The newly attached patch, though, gets devel/qt4-dbus  to compile .. I can imagine adding that to extrapatches for aarch64 as it seems a bit of a hack anyway.
Comment 2 Raphael Kubo da Costa freebsd_committer 2018-01-02 20:26:12 UTC
Fedora does have https://src.fedoraproject.org/rpms/qt/blob/master/f/qt-aarch64.patch, I just wonder if it makes sense to commit to supporting it in the ports tree.
Comment 3 commit-hook freebsd_committer 2018-01-19 22:35:39 UTC
A commit references this bug:

Author: adridg
Date: Fri Jan 19 22:35:15 UTC 2018
New revision: 459478
URL: https://svnweb.freebsd.org/changeset/ports/459478

Log:
  Fix Qt4 atomics on aarch64. Add a patch from Fedora (similar changes in
  Arch and Debian) that implements the atomics; removes the use of generic
  atomics on aarch64. This allows textproc/qt4-dbus to build.

  PR:		223988
  Reported by:	linimon
  Approved by:	tcberner (mentor)
  Obtained from:	Fedora (url is in patch)
  Differential Revision:	https://reviews.freebsd.org/D13935

Changes:
  head/Mk/bsd.qt.mk
  head/devel/qt4/files/extrapatch-aarch64
  head/devel/qt4-corelib/Makefile
  head/devel/qt4-corelib/pkg-plist